List device users
List all users that can login to the current device.
get/device/users
Authorizations
AuthorizationstringRequired
The devicetoken is only used for to attach devices and tie it to a tenant
Query parameters
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
pageSizeintegerOptional
The number of items per page in a result set.
pageNumberintegerOptional
Reference to a specific page in a result set.
Responses
200
Example response
application/json
400
Linking failed. Ther error message will have information about what failed.
application/json
get/device/users
GET /v2/device/users HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"accountType": "FULL",
"displayName": "text",
"firstname": "text",
"lastAccessed": "2026-01-01T00:00:00.000Z",
"lastname": "text",
"tenantUserUid": "text",
"userCode": "text",
"languageCode": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

